| Home | Libraries | People | FAQ | More

##### basic_serial_port::open (1 of 2 overloads)

Open the serial port using the specified device name.

    void open(
        const std::string & device);

This function opens the serial port for the specified device name.

###### Parameters

device

  The platform-specific device name.

###### Exceptions

boost::system::system_error

  Thrown on failure.